Bug 164874 - firstboot traceback on nonexistent ifcfg-eth1 in reconfig mode
firstboot traceback on nonexistent ifcfg-eth1 in reconfig mode
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firstboot (Show other bugs)
4.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
RHEL4U3NAK
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2005-08-02 03:28 EDT by Panu Matilainen
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0324
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:17:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ppc Arch Traceback Error Screenshot (121.30 KB, image/png)
2006-05-25 04:12 EDT, Satyabrata Maitra
no flags Details

  None (edit)
Description Panu Matilainen 2005-08-02 03:28:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
At least on systems such as IBM T40 where there's a wireless adapter in the system which isn't operational during installation (due to missing firmware) eth1 wont get configured and firstboot in --reconfig mode will traceback.

Version-Release number of selected component (if applicable):
firstboot-1.3.39-2

How reproducible:
Always

Steps to Reproduce:
1. Install T40 (or similar) with kickstart, adding ipw2100-firmware package in kickstart %post, enable firstboot --reconfig mode
2. When entering firstboot the the traceback happens
  

Actual Results:  Traceback (most recent call last):
 File "/usr/share/firstboot/firstbootWindow.py, line 502 in loadModules
        vbox, pix, title = module.launch()
 File "/usr/share/firstboot/modules/networking.py", line 93, in launch
        self.updateLabels()
 File "/usr/share/firstboot/modules/networking.py", line 128, in
updateLabels
        lines=open(path).readlines()
IOError: [Errno 2] No such file or directory:
'/etc/sysconfig/network-scripts/ifcfg-eth1'


Expected Results:  It should be able to configure the wireless adapter instead of crashing. Or at least not crash :)

Additional info:

I've only seen this with T40 with the above procedure but maybe it applies to some other situations as well. In any case firstboot should check for the ifcfg-ethX files' precense before trying to read them.
Comment 1 Chris Lumens 2005-08-17 14:43:06 EDT
Fixed in Rawhide, adding to RHEL4U3 proposed list.
Comment 4 Sailesh Krishnamurthy 2006-01-26 15:32:31 EST
I see a similar error with nonexistent ifcfg-eth3 for RHEL 4 on a Dell Poweredge
2850.

Here is my firstboot log:

[root@orca ~]# more firstboot.1137635032.66
Traceback (most recent call last):
  File "/usr/share/firstboot/firstbootWindow.py", line 502, in loadModules
    vbox, pix, title = module.launch()
  File "/usr/share/firstboot/modules/networking.py", line 93, in launch
    self.updateLabels()
  File "/usr/share/firstboot/modules/networking.py", line 128, in updateLabels
    lines = open(path).readlines()
IOError: [Errno 2] No such file or directory:
'/etc/sysconfig/network-scripts/ifcfg-eth3'
[root@orca ~]#
Comment 8 Bob Johnson 2006-04-11 12:10:20 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 12 Satyabrata Maitra 2006-05-25 04:12:42 EDT
Created attachment 129976 [details]
ppc Arch Traceback Error Screenshot

Chris
I have attached the screenshot file of that traceback error I found hen running
firstboot --reconfig command on ppc in vnc. Please have a look on it.

Satya
Comment 15 Red Hat Bugzilla 2006-08-10 17:17:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0324.html

Note You need to log in before you can comment on or make changes to this bug.